Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
vpcs
[VPCs] Create a new Virtual Private Cloud
curl --request POST \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "cidr_block": "<string>",
  "location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
name
string
required
Maximum string length: 255
cidr_block
string
required
Maximum string length: 50
location_id
string<uuid>
required

Response

VPC created successfully